migration Leap 15.3 -> SLED possible? cannot register...

I followed the instructions on https://en.opensuse.org/SDB:How_to_migrate_to_SLE, starting from a Leap 15.3 installation. However, the result of yast2 registration is:

Registration failed.

Connection to registration server failed.

Details: HTTP error code: 422
The subscription with the provided Registration Code does not include the requested product 'openSUSE Leap 15.3 x86_64'

Is assisted migration from Leap possible at all? If yes, how?
Kind regards,
Alex

Comments

  • malcolmlewismalcolmlewis Knowledge Partner

    @AlexK Hi and welcome to the Forum :smile:
    Are you using a valid SLES 15 SP3 registration code, or as per that SDB a beta one?

  • edited July 11

    It is a valid, i.e. paid for, registration code.

    In the meantime I have also tried installing/upgrading from 15 SP3 installation media, which fails due to some issue with UEFI Secure Boot resembling the discussion in https://bugzilla.opensuse.org/show_bug.cgi?id=1185232 and the error message matches the one given in https://bugzilla.opensuse.org/show_bug.cgi?id=1185232#c47 exactly.
    I suspect, that the boot loader is broken for Fujitsu Laptops, so even if online migration would work, it will likely result in an unbootable system. Unless online migration includes a bugfix, of course.

    It seems that there are at least two issues which prohibit SLED installation for me, right from the start. I would appreciate any recommendations, technical or otherwise, on how to proceed.

  • malcolmlewismalcolmlewis Knowledge Partner

    @AlexK Hi, then you will need to open a Support Request to ensure a fix can be created etc.

  • edited July 11

    I have to add, that I managed to register it manually (SUSEConnect -r "activation_code" -e "email" -p "SLED/15-3/x86_64"), however, when I try to start migration from yast, I get a message, that the product "opensuse Leap 15.3" is not registered - which is kind of correct, obviously.

  • malcolmlewismalcolmlewis Knowledge Partner

    @AlexK Hi, I don't think the migration is supported to SLED only SLES, that's why you need to open an SR.

Sign In or Register to comment.